-- DEFINITIONS FILE

objG15=	{
		VERSION="1.16 - WoW 5.0.4";
		DEBUGMODE=false;
		CURRENTSAVEVERSION=2;
			
		-- text colours
		COLOR_GOLD="|cffffcc00";
		COLOR_GREEN="|cff22ff22";
		COLOR_WHITE="|cffffffff";			
		
		Screen=UCMScreen:New();
		
		UIOptionsFrameName="G15Buttons_OptionsForm";
		UIObjectPrefix="objG15_";
		UIBarPrefix="bar_";
		UIButtonPrefix="btn_";
		
		btnOffsetX=3;
		btnOffsetY=3;
		
		LastGiveId=0;
		
		ScreenUpdateMode=false;
		ScreenUpdateStack=UCMStack:New();
		
		ButtonGroups=	{
						count=3;
						[1]={
							-- static datas
							caption=G15BUTTONS_ST_BUTTONGROUPS_1;
							id=1;
							buttonCount=18;
							rowCount=6;
							startingButtonID=73;
							scale=1;
							alwaysShowButtons=true;
							spacePerRow=40;
							spacePerColumn=0;
							spaceAfterEveryXRow=2;
							spaceAfterEveryXColumn=0;
							activated=true;
							lockMovement=false;
							
							framePosition = {
											point="TOPLEFT";
											relativePoint="TOPLEFT";
											xOfs=300;
											yOfs=-300;
											};
							
							-- dynamic datas
							createdBar=NULL;
							createdButtons=UCMList:New();
							};
						[2]={
							-- static datas
							caption=G15BUTTONS_ST_BUTTONGROUPS_2;
							id=2;
							buttonCount=18;
							rowCount=6;
							startingButtonID=91;
							scale=1;
							alwaysShowButtons=true;
							spacePerRow=40;
							spacePerColumn=0;
							spaceAfterEveryXRow=2;
							spaceAfterEveryXColumn=0;
							activated=false;
							lockMovement=false;

							framePosition = {
											point="TOPLEFT";
											relativePoint="TOPLEFT";
											xOfs=300;
											yOfs=-300;
											};
							
							-- dynamic datas
							createdBar=NULL;
							createdButtons=UCMList:New();
							};
						[3]={
							-- static datas
							caption=G15BUTTONS_ST_BUTTONGROUPS_3;
							id=3;
							buttonCount=18;
							rowCount=6;
							startingButtonID=109;
							scale=1;
							alwaysShowButtons=true;
							spacePerRow=40;
							spacePerColumn=0;
							spaceAfterEveryXRow=2;
							spaceAfterEveryXColumn=0;
							activated=false;
							lockMovement=false;

							framePosition = {
											point="TOPLEFT";
											relativePoint="TOPLEFT";
											xOfs=300;
											yOfs=-300;
											};
							
							-- dynamic datas
							createdBar=NULL;
							createdButtons=UCMList:New();
							};
						};
						
		-- deleted UI objects
		pooledObjects=	{
						frames	= UCMList:New();
						buttons = UCMList:New();
						};

		--[[
		--]]	
		};
		
objG15SavedDatas={
		Version=null;

		ButtonGroups=	{
						-- dynamic struct
						-- template :
						--[[
						[1]={
							buttonCount=0;
							rowCount=0;
							startingButtonID=0;
							scale=0;
							alwaysShowButtons=false;
							spacePerRow=0;
							spacePerColumn=0;
							spaceAfterEveryXRow=0;
							spaceAfterEveryXColumn=0;
							activated=false;
							lockMovement=false;
							
							framePosition = {
											point="TOPLEFT";
											relativePoint="TOPLEFT";
											xOfs=300;
											yOfs=300;
											};
							
							};
						[2]={
							...
							};
						[3]={
							...
							};
						--]]
						};
		};

		
----------------------------------------------------------------------------------------------------------------------
-- set localized captions
function objG15.doLocalization()
 BINDING_HEADER_G15BUTTONS_ST_BINDINGS_HEADER=G15BUTTONS_ST_BINDINGS_HEADER;

 BINDING_NAME_G15BUTTONS_BINDINGS_1_1=G15BUTTONS_ST_BINDINGS_1_1;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_2=G15BUTTONS_ST_BINDINGS_1_2;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_3=G15BUTTONS_ST_BINDINGS_1_3;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_4=G15BUTTONS_ST_BINDINGS_1_4;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_5=G15BUTTONS_ST_BINDINGS_1_5;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_6=G15BUTTONS_ST_BINDINGS_1_6;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_7=G15BUTTONS_ST_BINDINGS_1_7;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_8=G15BUTTONS_ST_BINDINGS_1_8;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_9=G15BUTTONS_ST_BINDINGS_1_9;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_10=G15BUTTONS_ST_BINDINGS_1_10;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_11=G15BUTTONS_ST_BINDINGS_1_11;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_12=G15BUTTONS_ST_BINDINGS_1_12;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_13=G15BUTTONS_ST_BINDINGS_1_13;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_14=G15BUTTONS_ST_BINDINGS_1_14;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_15=G15BUTTONS_ST_BINDINGS_1_15;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_16=G15BUTTONS_ST_BINDINGS_1_16;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_17=G15BUTTONS_ST_BINDINGS_1_17;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_18=G15BUTTONS_ST_BINDINGS_1_18;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_19=G15BUTTONS_ST_BINDINGS_1_19;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_20=G15BUTTONS_ST_BINDINGS_1_20;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_21=G15BUTTONS_ST_BINDINGS_1_21;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_22=G15BUTTONS_ST_BINDINGS_1_22;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_23=G15BUTTONS_ST_BINDINGS_1_23;
 BINDING_NAME_G15BUTTONS_BINDINGS_1_24=G15BUTTONS_ST_BINDINGS_1_24;
 
 BINDING_NAME_G15BUTTONS_BINDINGS_2_1=G15BUTTONS_ST_BINDINGS_2_1;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_2=G15BUTTONS_ST_BINDINGS_2_2;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_3=G15BUTTONS_ST_BINDINGS_2_3;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_4=G15BUTTONS_ST_BINDINGS_2_4;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_5=G15BUTTONS_ST_BINDINGS_2_5;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_6=G15BUTTONS_ST_BINDINGS_2_6;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_7=G15BUTTONS_ST_BINDINGS_2_7;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_8=G15BUTTONS_ST_BINDINGS_2_8;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_9=G15BUTTONS_ST_BINDINGS_2_9;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_10=G15BUTTONS_ST_BINDINGS_2_10;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_11=G15BUTTONS_ST_BINDINGS_2_11;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_12=G15BUTTONS_ST_BINDINGS_2_12;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_13=G15BUTTONS_ST_BINDINGS_2_13;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_14=G15BUTTONS_ST_BINDINGS_2_14;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_15=G15BUTTONS_ST_BINDINGS_2_15;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_16=G15BUTTONS_ST_BINDINGS_2_16;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_17=G15BUTTONS_ST_BINDINGS_2_17;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_18=G15BUTTONS_ST_BINDINGS_2_18;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_19=G15BUTTONS_ST_BINDINGS_2_19;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_20=G15BUTTONS_ST_BINDINGS_2_20;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_21=G15BUTTONS_ST_BINDINGS_2_21;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_22=G15BUTTONS_ST_BINDINGS_2_22;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_23=G15BUTTONS_ST_BINDINGS_2_23;
 BINDING_NAME_G15BUTTONS_BINDINGS_2_24=G15BUTTONS_ST_BINDINGS_2_24;
 
 BINDING_NAME_G15BUTTONS_BINDINGS_3_1=G15BUTTONS_ST_BINDINGS_3_1;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_2=G15BUTTONS_ST_BINDINGS_3_2;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_3=G15BUTTONS_ST_BINDINGS_3_3;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_4=G15BUTTONS_ST_BINDINGS_3_4;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_5=G15BUTTONS_ST_BINDINGS_3_5;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_6=G15BUTTONS_ST_BINDINGS_3_6;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_7=G15BUTTONS_ST_BINDINGS_3_7;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_8=G15BUTTONS_ST_BINDINGS_3_8;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_9=G15BUTTONS_ST_BINDINGS_3_9;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_10=G15BUTTONS_ST_BINDINGS_3_10;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_11=G15BUTTONS_ST_BINDINGS_3_11;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_12=G15BUTTONS_ST_BINDINGS_3_12;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_13=G15BUTTONS_ST_BINDINGS_3_13;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_14=G15BUTTONS_ST_BINDINGS_3_14;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_15=G15BUTTONS_ST_BINDINGS_3_15;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_16=G15BUTTONS_ST_BINDINGS_3_16;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_17=G15BUTTONS_ST_BINDINGS_3_17;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_18=G15BUTTONS_ST_BINDINGS_3_18;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_19=G15BUTTONS_ST_BINDINGS_3_19;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_20=G15BUTTONS_ST_BINDINGS_3_20;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_21=G15BUTTONS_ST_BINDINGS_3_21;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_22=G15BUTTONS_ST_BINDINGS_3_22;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_23=G15BUTTONS_ST_BINDINGS_3_23;
 BINDING_NAME_G15BUTTONS_BINDINGS_3_24=G15BUTTONS_ST_BINDINGS_3_24;
 
 local o=_G[objG15.UIOptionsFrameName.."_Frame_lblAbout"];
 o:SetText(string.format(G15BUTTONS_ST_OPTIONSFORM_ABOUT,objG15.VERSION));
end;
----------------------------------------------------------------------------------------------------------------------
